classification
Title: ValueError exception on _winapi.WaitForMultipleObjects
Type: Stage: resolved
Components: Interpreter Core, Windows Versions: Python 3.9, Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Chronial, Ray Donnelly, Ray.Donnelly, miss-islington, paul.moore, steve.dower, tim.golden, zach.ware
Priority: normal Keywords: patch

Created on 2020-04-12 18:19 by Ray Donnelly, last changed 2021-07-29 03:16 by jaraco. This issue is now closed.

Files
File name Uploaded Description Edit
ppe.py Ray Donnelly, 2020-04-12 18:19
0000-Fix-off-by-one-error-in-_winapi_WaitForMultipleObjec.patch Ray Donnelly, 2020-04-12 21:00
Pull Requests
URL Status Linked Edit
PR 19501 merged Ray.Donnelly, 2020-04-13 13:14
PR 27428 merged miss-islington, 2021-07-28 19:58
PR 27429 merged miss-islington, 2021-07-28 19:58
Messages (9)
msg366258 - (view) Author: Ray Donnelly (Ray Donnelly) * Date: 2020-04-12 18:19
See attached reproducer
msg366259 - (view) Author: Ray Donnelly (Ray Donnelly) * Date: 2020-04-12 18:20
See my proposed patch. I am happy to make a PR on github for this too if people agree it's the right fix.
msg366301 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2020-04-13 10:47
(Created from issue26903)

Yeah, that looks like a reasonable fix :)
msg366312 - (view) Author: Ray Donnelly (Ray Donnelly) * Date: 2020-04-13 13:27
https://github.com/python/cpython/pull/19501
msg397871 - (view) Author: Christian Fersch (Chronial) Date: 2021-07-20 13:52
This is still an issue in python3.9. It just hit us while using the default config on a Threadripper 3990X that has 128 logical cores:

  with concurrent.futures.ProcessPoolExecutor() as executor:
msg398418 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-07-28 19:58
New changeset 92b5dc780db968f6277f42cb06926dddb7475dc6 by Ray Donnelly in branch 'main':
bpo-40263: Fixes an off-by-one error in _winapi_WaitForMultipleObjects_impl (GH-19501)
https://github.com/python/cpython/commit/92b5dc780db968f6277f42cb06926dddb7475dc6
msg398419 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-07-28 20:00
Fixed, better late than never.
msg398420 - (view) Author: miss-islington (miss-islington) Date: 2021-07-28 20:18
New changeset bccb7b9509e875ef23ec3225d03214ca047e5b1a by Miss Islington (bot) in branch '3.10':
bpo-40263: Fixes an off-by-one error in _winapi_WaitForMultipleObjects_impl (GH-19501)
https://github.com/python/cpython/commit/bccb7b9509e875ef23ec3225d03214ca047e5b1a
msg398432 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-07-28 21:52
New changeset 899e37b202c8b096d55e2e3c300c9759ebfe7f7a by Miss Islington (bot) in branch '3.9':
bpo-40263: Fixes an off-by-one error in _winapi_WaitForMultipleObjects_impl (GH-19501)
https://github.com/python/cpython/commit/899e37b202c8b096d55e2e3c300c9759ebfe7f7a
History
Date User Action Args
2021-07-29 03:16:30jaracosetnosy: - jaraco
2021-07-29 03:16:15jaracosetpull_requests: - pull_request25966
2021-07-29 02:54:00jaracosetnosy: + jaraco

pull_requests: + pull_request25966
2021-07-28 21:52:15steve.dowersetmessages: + msg398432
2021-07-28 20:18:09miss-islingtonsetmessages: + msg398420
2021-07-28 20:00:26steve.dowersetstatus: open -> closed
resolution: fixed
messages: + msg398419

stage: patch review -> resolved
2021-07-28 19:58:36steve.dowersetmessages: + msg398418
2021-07-28 19:58:22miss-islingtonsetpull_requests: + pull_request25958
2021-07-28 19:58:16miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request25957
2021-07-20 13:52:24Chronialsetnosy: + Chronial

messages: + msg397871
versions: + Python 3.9
2020-04-13 13:27:13Ray Donnellysetmessages: + msg366312
2020-04-13 13:14:20Ray.Donnellysetnosy: + Ray.Donnelly

pull_requests: + pull_request18852
stage: patch review
2020-04-13 10:47:24steve.dowersetmessages: + msg366301
title: Follow on bug from https://bugs.python.org/issue26903 (ValueError exception on _winapi.WaitForMultipleObjects) -> ValueError exception on _winapi.WaitForMultipleObjects
2020-04-12 21:00:09Ray Donnellysetfiles: + 0000-Fix-off-by-one-error-in-_winapi_WaitForMultipleObjec.patch
keywords: + patch
2020-04-12 20:59:53Ray Donnellysetfiles: - 0000-bpo-26903-Limit-ProcessPoolExecutor-to-61-workers-on-Windows.patch.ref
2020-04-12 18:20:40Ray Donnellysetfiles: + 0000-bpo-26903-Limit-ProcessPoolExecutor-to-61-workers-on-Windows.patch.ref

messages: + msg366259
2020-04-12 18:19:42Ray Donnellycreate